Loading...
Searching...
No Matches
LrYumRepo Struct Reference
Yum repo manipulation

`#include <yum.h>`

## Data Fields

GSList * | paths
char * | repomd
char * | url
char * | destdir
char * | signature
char * | mirrorlist
char * | metalink
gboolean | use_zchunk

## Detailed Description

Yum repository

Definition at line 46 of file yum.h.

## Field Documentation

## destdir

char* destdir

Local path to the repo

Definition at line 50 of file yum.h.

## metalink

char* metalink

Metalink filename

Definition at line 55 of file yum.h.

## mirrorlist

char* mirrorlist

Mirrolist filename

Definition at line 54 of file yum.h.

## paths

GSList* paths

Paths to repo files. List of LrYumRepoPath*s

Definition at line 47 of file yum.h.

## repomd

char* repomd

Path to repomd.xml

Definition at line 48 of file yum.h.

## signature

char* signature

Path to signature if available and signature was downloaded (GPG check was enabled during repo downloading)

Definition at line 51 of file yum.h.

## url

char* url

URL from where repo was downloaded

Definition at line 49 of file yum.h.

## use_zchunk

gboolean use_zchunk

Use zchunk in this repo

Definition at line 56 of file yum.h.

The documentation for this struct was generated from the following file:

- yum.h